package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

public class DrawcashBean implements Serializable {

    private String openid;
    private String nickName;
    private String drawcashRule;
    private String drawcashHint;
    private int coin;
    private List<CashOutMoneyArrBean> cashOutMoneyArr;

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getDrawcashRule() {
        return drawcashRule;
    }

    public void setDrawcashRule(String drawcashRule) {
        this.drawcashRule = drawcashRule;
    }

    public String getDrawcashHint() {
        return drawcashHint;
    }

    public void setDrawcashHint(String drawcashHint) {
        this.drawcashHint = drawcashHint;
    }

    public int getCoin() {
        return coin;
    }

    public void setCoin(int coin) {
        this.coin = coin;
    }

    public List<CashOutMoneyArrBean> getCashOutMoneyArr() {
        return cashOutMoneyArr;
    }

    public void setCashOutMoneyArr(List<CashOutMoneyArrBean> cashOutMoneyArr) {
        this.cashOutMoneyArr = cashOutMoneyArr;
    }

    public class CashOutMoneyArrBean implements Serializable{
        private double money;
        private boolean canCashOut;

        public double getMoney() {
            return money;
        }

        public void setMoney(double money) {
            this.money = money;
        }

        public boolean isCanCashOut() {
            return canCashOut;
        }

        public void setCanCashOut(boolean canCashOut) {
            this.canCashOut = canCashOut;
        }
    }
}
